# ATM Network Optimization & Expansion Planning
source: https://developer.mastercard.com/locations/documentation/use-cases/atm-network-optimization/index.md

## ATM Network Optimization \& Expansion Planning {#atm-network-optimization--expansion-planning}

Financial institutions and ATM operators need to ensure their ATM footprint effectively serves customer demand while maximizing return on investment. ATM Locations data enables organizations to evaluate existing network coverage, identify underserved areas, benchmark against competitors, and uncover opportunities for expansion. By understanding where ATMs are located today and where coverage gaps exist, businesses can make data-driven decisions on network optimization and future deployment. This intelligence supports strategic planning, improves customer access to cash, and helps prioritize investments in new ATM placements. The result is a more efficient, accessible, and commercially effective ATM network

### Where it applies {#where-it-applies}

Organizations responsible for managing, optimizing, or expanding ATM infrastructure and cash-access networks like:

* ATM Owners \& Operators
* Banks expanding ATM coverage

## How it works {#how-it-works}

Diagram sequence-atm-network-optiimization

**Search for ATMs**

Example request parameters, searching for ATM locations within a radius of 10 miles

```javascript
 limit=5
 distance=10
 distance_unit=MILE
```

Example POST Payload, searching for ATM locations near a latitude and longitude

```json
{
    "longitude" : "-74.013443",
    "latitude" : "40.712947"
}
```

Example response:

```json
{
  "count": 5,
  "limit": 5,
  "offset": 0,
  "total": 12,
  "atms": [
    {
      "accessFees": "DOMESTIC_AND_INTERNATIONAL",
      "addressLine1": "7 WORLD TRADE CTR",
      "atmTerminalId": "AC006309",
      "availability": "UNKNOWN",
      "camera": "NO",
      "countryCode": "USA",
      "countryName": "UNITED STATES",
      "countrySubdivisionCode": "NY",
      "countrySubdivisionName": "NEW YORK",
      "city": "NEW YORK",
      "distance": 0.08774582730276924,
      "distanceUnit": "MILE",
      "geocodingResult": "S8HPNTSCZA",
      "handicapAccessible": "NOT_HANDICAP_ACCESSIBLE",
      "hasSharedDeposit": "NO",
      "isSurchargeFreeAlliance": "NO",
      "latitude": "40.713289",
      "locationName": "CITIBANK",
      "locationType": "FINANCIAL_INSTITUTION",
      "longitude": "-74.01183",
      "owner": "CITIBANK",
      "postalCode": "10007",
      "sponsor": "FISERV SOLUTIONS, LLC",
      "supportsEmv": "SUPPORTS_EMV",
      "surchargeFreeAllianceNetwork": "DOES_NOT_PARTICIPATE_IN_SFA",
      "sponsorICA": "88024",
      "routeTransactionNumber": "842548238"
    },
    {
      "accessFees": "UNKNOWN",
      "addressLine1": "225 LIBERTY ST STE 1",
      "atmTerminalId": "RA000943",
      "availability": "UNKNOWN",
      "camera": "NO",
      "countryCode": "USA",
      "countryName": "UNITED STATES",
      "countrySubdivisionCode": "NY",
      "countrySubdivisionName": "NEW YORK",
      "city": "NEW YORK",
      "distance": 0.08956877019103475,
      "distanceUnit": "MILE",
      "geocodingResult": "S8HPNTSCZA",
      "handicapAccessible": "UNKNOWN",
      "hasSharedDeposit": "NO",
      "isSurchargeFreeAlliance": "YES",
      "latitude": "40.712415",
      "locationName": "RITE AID",
      "locationType": "RETAIL_STORE",
      "longitude": "-74.015002",
      "owner": "ALLPOINT",
      "postalCode": "10281",
      "sponsor": "ALLPOINT NETWORK",
      "supportsEmv": "SUPPORTS_EMV",
      "surchargeFreeAllianceNetwork": "ALLPOINT_PREPAID",
      "sponsorICA": "2000579",
      "routeTransactionNumber": "840491031"
    },
    {
      "accessFees": "DOMESTIC_AND_INTERNATIONAL",
      "addressLine1": "200 VESEY ST 8TH FL",
      "atmTerminalId": "T309B776",
      "availability": "BUSINESS_HOURS",
      "camera": "NO",
      "countryCode": "USA",
      "countryName": "UNITED STATES",
      "countrySubdivisionCode": "NY",
      "countrySubdivisionName": "NEW YORK",
      "city": "NEW YORK",
      "distance": 0.09309857355313111,
      "distanceUnit": "MILE",
      "geocodingResult": "S8HPNTSCZA",
      "handicapAccessible": "IS_HANDICAP_ACCESSIBLE",
      "hasSharedDeposit": "NO",
      "isSurchargeFreeAlliance": "NO",
      "latitude": "40.71393",
      "locationName": "CITY NATIONAL BANK",
      "locationType": "FINANCIAL_INSTITUTION",
      "longitude": "-74.014658",
      "owner": "0309-CITY NATIONAL BANK",
      "postalCode": "10281",
      "sponsor": "FIDELITY INFORMATION SERVICES, INC.",
      "supportsEmv": "SUPPORTS_EMV",
      "surchargeFreeAllianceNetwork": "DOES_NOT_PARTICIPATE_IN_SFA",
      "sponsorICA": "88109",
      "routeTransactionNumber": "124312535"
    },
    {
      "accessFees": "DOMESTIC",
      "addressLine1": "185 GREENWICH ST UNIT LL5107",
      "atmTerminalId": "NY2132",
      "availability": "BUSINESS_HOURS",
      "camera": "NO",
      "countryCode": "USA",
      "countryName": "UNITED STATES",
      "countrySubdivisionCode": "NY",
      "countrySubdivisionName": "NEW YORK",
      "city": "NEW YORK",
      "distance": 0.09650006934863571,
      "distanceUnit": "MILE",
      "geocodingResult": "S8HPNTSCZA",
      "handicapAccessible": "NOT_HANDICAP_ACCESSIBLE",
      "hasSharedDeposit": "NO",
      "isSurchargeFreeAlliance": "NO",
      "latitude": "40.713359",
      "locationName": "ONE WORLD TRADE CENTER",
      "locationType": "FINANCIAL_INSTITUTION",
      "longitude": "-74.011683",
      "owner": "JPMORGAN CHASE",
      "postalCode": "10007",
      "sponsor": "JPMORGAN CHASE BANK, N.A.",
      "supportsEmv": "SUPPORTS_EMV",
      "surchargeFreeAllianceNetwork": "DOES_NOT_PARTICIPATE_IN_SFA",
      "sponsorICA": "5883",
      "ownerICA": "5883",
      "routeTransactionNumber": "840605018"
    },
    {
      "accessFees": "DOMESTIC",
      "addressLine1": "185 GREENWICH ST",
      "atmTerminalId": "NY2505",
      "availability": "ALWAYS_AVAILABLE",
      "camera": "NO",
      "countryCode": "USA",
      "countryName": "UNITED STATES",
      "countrySubdivisionCode": "NY",
      "countrySubdivisionName": "NEW YORK",
      "city": "NEW YORK",
      "distance": 0.09650006934863571,
      "distanceUnit": "MILE",
      "geocodingResult": "S8HPNTSCZA",
      "handicapAccessible": "NOT_HANDICAP_ACCESSIBLE",
      "hasSharedDeposit": "NO",
      "isSurchargeFreeAlliance": "NO",
      "latitude": "40.713359",
      "locationName": "WORLD TRADE CENTER - REMOTE ATMS",
      "locationType": "OTHER",
      "longitude": "-74.011683",
      "owner": "JPMORGAN CHASE",
      "postalCode": "10007",
      "sponsor": "JPMORGAN CHASE BANK, N.A.",
      "supportsEmv": "SUPPORTS_EMV",
      "surchargeFreeAllianceNetwork": "DOES_NOT_PARTICIPATE_IN_SFA",
      "sponsorICA": "5883",
      "ownerICA": "5883",
      "routeTransactionNumber": "840605018"
    }
  ]
}
```

## Relevant Endpoints {#relevant-endpoints}

[ATM Search](https://developer.mastercard.com/locations/documentation/api-reference/index.md#tag/ATMs/operation/getAtms)
helps identify ATM locations corresponding to geographic areas. Turn on the radius search parameters and insert geo-coordinates to transform your search into a rendered list of "nearby" ATMs.

API Reference: `POST /searches`

## Useful Links {#useful-links}

* [View the full Open API Specification](https://developer.mastercard.com/locations/documentation/api-reference/index.md)
* [Review the APIs error responses](https://developer.mastercard.com/locations/documentation/code-and-formats/index.md)
